"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LcmsMethods = exports.AcsMethods = exports.AgentAppMethods = exports.WisdomMethods = exports.ClientMethods = void 0;
var ClientMethods;
(function (ClientMethods) {
    ClientMethods["GetAuthorizedWidgetsForUser"] = "getAuthorizedWidgetsForUser";
    ClientMethods["GetContent"] = "getContent";
    ClientMethods["GetRecommendations"] = "getRecommendations";
    ClientMethods["ListIntegrationAssociations"] = "listIntegrationAssociations";
    ClientMethods["NotifyRecommendationsReceived"] = "notifyRecommendationsReceived";
    ClientMethods["QueryAssistant"] = "queryAssistant";
    ClientMethods["SearchSessions"] = "searchSessions";
    ClientMethods["GetContact"] = "getContact";
})(ClientMethods = exports.ClientMethods || (exports.ClientMethods = {}));
var WisdomMethods;
(function (WisdomMethods) {
    WisdomMethods["GetContent"] = "getContent";
    WisdomMethods["GetRecommendations"] = "getRecommendations";
    WisdomMethods["NotifyRecommendationsReceived"] = "notifyRecommendationsReceived";
    WisdomMethods["QueryAssistant"] = "queryAssistant";
    WisdomMethods["SearchSessions"] = "searchSessions";
})(WisdomMethods = exports.WisdomMethods || (exports.WisdomMethods = {}));
var AgentAppMethods;
(function (AgentAppMethods) {
    AgentAppMethods["GetAuthorizedWidgetsForUser"] = "getAuthorizedWidgetsForUser";
})(AgentAppMethods = exports.AgentAppMethods || (exports.AgentAppMethods = {}));
var AcsMethods;
(function (AcsMethods) {
    AcsMethods["ListIntegrationAssociations"] = "listIntegrationAssociations";
})(AcsMethods = exports.AcsMethods || (exports.AcsMethods = {}));
var LcmsMethods;
(function (LcmsMethods) {
    LcmsMethods["GetContact"] = "getContact";
})(LcmsMethods = exports.LcmsMethods || (exports.LcmsMethods = {}));
