"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateEndpoint = void 0;
const urlParser_1 = require("../utils/urlParser");
const generateEndpoint = (instanceUrl) => {
    const { hostname, port, protocol, path } = (0, urlParser_1.parseUrl)(instanceUrl);
    return `${protocol}//${hostname}${port ? `:${port}` : ''}${path.replace(/\/$/, '')}/agent-app/api`;
};
exports.generateEndpoint = generateEndpoint;
