"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRuntimeConfig = void 0;
const urlParser_1 = require("./urlParser");
const callSources_1 = require("../types/callSources");
const serviceIds_1 = require("../types/serviceIds");
const appConfig_1 = require("../utils/appConfig");
const getRuntimeConfig = (config) => {
    var _a, _b, _c, _d;
    return {
        logger: (_a = config === null || config === void 0 ? void 0 : config.logger) !== null && _a !== void 0 ? _a : {},
        serviceId: (_b = config === null || config === void 0 ? void 0 : config.serviceId) !== null && _b !== void 0 ? _b : serviceIds_1.ServiceIds.Wisdom,
        callSource: (_c = config === null || config === void 0 ? void 0 : config.callSource) !== null && _c !== void 0 ? _c : callSources_1.CallSources.AgentApp,
        instanceUrl: (_d = config === null || config === void 0 ? void 0 : config.instanceUrl) !== null && _d !== void 0 ? _d : (0, urlParser_1.getBaseUrl)(),
        endpoint: (config === null || config === void 0 ? void 0 : config.endpoint) || (0, appConfig_1.generateEndpoint)((config === null || config === void 0 ? void 0 : config.instanceUrl) || (0, urlParser_1.getBaseUrl)()),
    };
};
exports.getRuntimeConfig = getRuntimeConfig;
