var HttpRequest = (function () {
    function HttpRequest(options) {
        this.method = options.method || 'POST';
        this.protocol = options.protocol
            ? options.protocol.charAt(options.protocol.length - 1) !== ':'
                ? "".concat(options.protocol, ":")
                : options.protocol
            : 'https:';
        this.hostname = options.hostname || 'localhost';
        this.port = options.port;
        this.path = options.path && options.path !== '/'
            ? options.path.charAt(0) !== '/'
                ? "/".concat(options.path)
                : options.path
            : '/agent-app/api';
        this.query = options.query || {};
        this.headers = options.headers || {};
        this.body = options.body;
        this.frameWindow = options.frameWindow;
    }
    return HttpRequest;
}());
export { HttpRequest };
