import { getBaseUrl } from './urlParser';
import { CallSources } from '../types/callSources';
import { ServiceIds } from '../types/serviceIds';
import { generateEndpoint } from '../utils/appConfig';
export var getRuntimeConfig = function (config) {
    var _a, _b, _c, _d;
    return {
        logger: (_a = config === null || config === void 0 ? void 0 : config.logger) !== null && _a !== void 0 ? _a : {},
        serviceId: (_b = config === null || config === void 0 ? void 0 : config.serviceId) !== null && _b !== void 0 ? _b : ServiceIds.Wisdom,
        callSource: (_c = config === null || config === void 0 ? void 0 : config.callSource) !== null && _c !== void 0 ? _c : CallSources.AgentApp,
        instanceUrl: (_d = config === null || config === void 0 ? void 0 : config.instanceUrl) !== null && _d !== void 0 ? _d : getBaseUrl(),
        endpoint: (config === null || config === void 0 ? void 0 : config.endpoint) || generateEndpoint((config === null || config === void 0 ? void 0 : config.instanceUrl) || getBaseUrl()),
    };
};
