import { Command } from './command';
import { HttpResponse } from './http';
interface InvokeFunction<InputTypes extends object, OutputTypes extends object, ClientConfiguration> {
    <InputType extends InputTypes, OutputType extends OutputTypes>(command: Command<InputTypes, InputType, OutputTypes, OutputType, ClientConfiguration>, options?: any): Promise<HttpResponse<OutputType>>;
}
export interface Client<Input extends object, Output extends object, ClientConfiguration> {
    readonly config: ClientConfiguration;
    call: InvokeFunction<Input, Output, ClientConfiguration>;
}
export {};
