import { WisdomClientResolvedConfig } from "../wisdomClient";
export interface RequestHandler<RequestType, ResponseType, HandlerOptions> {
    setRuntimeConfig: (config: WisdomClientResolvedConfig) => void;
    handle: (request: RequestType, HandlerOptions?: HandlerOptions) => Promise<ResponseType>;
}
