import { ClientConfiguration } from '../client';
import { FetchHttpHandler } from '../fetchHttpHandler';
export declare const getRuntimeConfig: (config: ClientConfiguration) => {
    headers: import("../types/http").HttpHeaders;
    maxAttempts: number;
    requestHandler: import("../types/requestHandler").RequestHandler<any, any, import("../types/http").HttpHandlerOptions> | FetchHttpHandler;
    callSource: import("../types/callSources").CallSources;
    endpoint: string;
    instanceUrl: string;
    logger: import("../types/logger").Logger;
    serviceId: import("../types/serviceIds").ServiceIds;
    frameWindow?: HTMLIFrameElement | undefined;
};
