"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
(() => {
    const connect = global.connect || {};
    const wisdomjs = connect.WisdomJS || {};
    connect.wisdomjs = wisdomjs;
    global.connect = connect;
    wisdomjs.Client = index_1.Client;
    wisdomjs.WisdomClient = index_1.WisdomClient;
    wisdomjs.commands = {
        GetAuthorizedWidgetsForUser: index_1.GetAuthorizedWidgetsForUser,
        ListIntegrationAssociations: index_1.ListIntegrationAssociations,
        SearchSessions: index_1.SearchSessions,
        QueryAssistant: index_1.QueryAssistant,
        GetContent: index_1.GetContent,
        GetRecommendations: index_1.GetRecommendations,
        NotifyRecommendationsReceived: index_1.NotifyRecommendationsReceived,
        GetContact: index_1.GetContact,
    };
})();
