"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpRequest = void 0;
class HttpRequest {
    constructor(options) {
        this.method = options.method || 'POST';
        this.protocol = options.protocol
            ? options.protocol.charAt(options.protocol.length - 1) !== ':'
                ? `${options.protocol}:`
                : options.protocol
            : 'https:';
        this.hostname = options.hostname || 'localhost';
        this.port = options.port;
        this.path = options.path && options.path !== '/'
            ? options.path.charAt(0) !== '/'
                ? `/${options.path}`
                : options.path
            : '/agent-app/api';
        this.query = options.query || {};
        this.headers = options.headers || {};
        this.body = options.body;
        this.frameWindow = options.frameWindow;
    }
}
exports.HttpRequest = HttpRequest;
