"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecommendationSourceType = exports.RecommendationTriggerType = exports.IntegrationTypes = exports.RelevanceLevel = exports.FilterOperator = exports.FilterField = exports.ContentStatus = void 0;
var ContentStatus;
(function (ContentStatus) {
    ContentStatus["ACTIVE"] = "ACTIVE";
    ContentStatus["CREATE_FAILED"] = "CREATE_FAILED";
    ContentStatus["CREATE_IN_PROGRESS"] = "CREATE_IN_PROGRESS";
    ContentStatus["DELETED"] = "DELETED";
    ContentStatus["DELETE_FAILED"] = "DELETE_FAILED";
    ContentStatus["DELETE_IN_PROGRESS"] = "DELETE_IN_PROGRESS";
    ContentStatus["UPDATE_FAILED"] = "UPDATE_FAILED";
})(ContentStatus = exports.ContentStatus || (exports.ContentStatus = {}));
var FilterField;
(function (FilterField) {
    FilterField["NAME"] = "NAME";
})(FilterField = exports.FilterField || (exports.FilterField = {}));
var FilterOperator;
(function (FilterOperator) {
    FilterOperator["EQUALS"] = "EQUALS";
})(FilterOperator = exports.FilterOperator || (exports.FilterOperator = {}));
var RelevanceLevel;
(function (RelevanceLevel) {
    RelevanceLevel["HIGH"] = "HIGH";
    RelevanceLevel["LOW"] = "LOW";
    RelevanceLevel["MEDIUM"] = "MEDIUM";
})(RelevanceLevel = exports.RelevanceLevel || (exports.RelevanceLevel = {}));
var IntegrationTypes;
(function (IntegrationTypes) {
    IntegrationTypes["EVENT"] = "EVENT";
    IntegrationTypes["VOICE_ID"] = "VOICE_ID";
    IntegrationTypes["PINPOINT_APP"] = "PINPOINT_APP";
    IntegrationTypes["WISDOM_ASSISTANT"] = "WISDOM_ASSISTANT";
    IntegrationTypes["WISDOM_KNOWLEDGE_BASE"] = "WISDOM_KNOWLEDGE_BASE";
})(IntegrationTypes = exports.IntegrationTypes || (exports.IntegrationTypes = {}));
var RecommendationTriggerType;
(function (RecommendationTriggerType) {
    RecommendationTriggerType["QUERY"] = "QUERY";
})(RecommendationTriggerType = exports.RecommendationTriggerType || (exports.RecommendationTriggerType = {}));
var RecommendationSourceType;
(function (RecommendationSourceType) {
    RecommendationSourceType["ISSUE_DETECTION"] = "ISSUE_DETECTION";
    RecommendationSourceType["RULE_EVALUATION"] = "RULE_EVALUATION";
    RecommendationSourceType["OTHER"] = "OTHER";
})(RecommendationSourceType = exports.RecommendationSourceType || (exports.RecommendationSourceType = {}));
