"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultHeaders = void 0;
const BASE_HEADERS = {
    'Accept': 'application/json',
    'Content-Type': 'application/json',
};
const getDefaultHeaders = ({ callSource, serviceId }) => {
    return {
        ...BASE_HEADERS,
        'x-amazon-call-source': callSource,
        'x-amz-access-section': serviceId,
    };
};
exports.getDefaultHeaders = getDefaultHeaders;
