"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseUrl = exports.getBaseUrl = void 0;
const getBaseUrl = () => {
    return global.location.href;
};
exports.getBaseUrl = getBaseUrl;
const parseUrl = (url) => {
    const { hostname, pathname, port, protocol } = new URL(url);
    return {
        hostname,
        port: port ? parseInt(port) : undefined,
        protocol,
        path: pathname,
    };
};
exports.parseUrl = parseUrl;
