import { __assign, __extends } from "tslib";
import { Command } from './command';
import { ClientMethods } from '../types/clientMethods';
import { ServiceIds } from '../types/serviceIds';
var GetAuthorizedWidgetsForUser = (function (_super) {
    __extends(GetAuthorizedWidgetsForUser, _super);
    function GetAuthorizedWidgetsForUser(clientInput) {
        var _this = _super.call(this) || this;
        _this.clientInput = clientInput;
        _this.clientMethod = ClientMethods.GetAuthorizedWidgetsForUser;
        return _this;
    }
    GetAuthorizedWidgetsForUser.prototype.resolveRequestHandler = function (configuration, options) {
        var _this = this;
        var requestHandler = configuration.requestHandler;
        return function () { return requestHandler.handle(_this.serialize(configuration), options || {}); };
    };
    GetAuthorizedWidgetsForUser.prototype.serialize = function (configuration) {
        return _super.prototype.serialize.call(this, __assign(__assign({}, configuration), { serviceId: ServiceIds.AgentApp }));
    };
    return GetAuthorizedWidgetsForUser;
}(Command));
export { GetAuthorizedWidgetsForUser };
