import { ListIntegrationAssociations } from './listIntegrationAssociations';
describe('ListIntegrationAssociations', function () {
    var command;
    var instanceId = '85be2a14-94d7-41f2-835e-85368acb55df';
    it('should properly construct the command from the inputs provided', function () {
        command = new ListIntegrationAssociations({
            InstanceId: instanceId,
        });
        expect(command.clientMethod).toEqual('listIntegrationAssociations');
        expect(command.clientInput).toEqual({
            InstanceId: instanceId,
        });
    });
    it('should validate inputs when calling serialize', function () {
        command = new ListIntegrationAssociations({});
        expect(function () { return command.serialize({}); }).toThrow('Invalid InstanceId.');
        command = new ListIntegrationAssociations({
            InstanceId: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid InstanceId.');
    });
});
