import { __assign } from "tslib";
import { getRuntimeConfig as getSharedRuntimeConfig } from './runtimeConfig.shared';
import { FetchHttpHandler } from '../fetchHttpHandler';
import { getDefaultHeaders } from './getDefaultHeaders';
var DEFAULT_MAX_ATTEMPTS = 3;
export var getRuntimeConfig = function (config) {
    var _a, _b, _c;
    var sharedRuntimeConfig = getSharedRuntimeConfig(config);
    return __assign(__assign(__assign({}, sharedRuntimeConfig), config), { headers: (_a = config.headers) !== null && _a !== void 0 ? _a : getDefaultHeaders(sharedRuntimeConfig), maxAttempts: (_b = config.maxAttempts) !== null && _b !== void 0 ? _b : DEFAULT_MAX_ATTEMPTS, requestHandler: (_c = config.requestHandler) !== null && _c !== void 0 ? _c : new FetchHttpHandler() });
};
